Package com.google.android.exoplayer2.audio

## Class Ac4Util.SyncFrameInfo

- java.lang.Object
- - com.google.android.exoplayer2.audio.Ac4Util.SyncFrameInfo

- Enclosing class:
    Ac4Util

      public static final class Ac4Util.SyncFrameInfo
      extends Object

  Holds sample format information as presented by a syncframe header.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `bitstreamVersion` | The bitstream version.
    `int` | `channelCount` | The number of audio channels
    `int` | `frameSize` | The size of the frame.
    `int` | `sampleCount` | Number of audio samples in the frame.
    `int` | `sampleRate` | The audio sampling rate in Hz.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bitstreamVersion

          public final int bitstreamVersion

      The bitstream version.

    - #### sampleRate

          public final int sampleRate

      The audio sampling rate in Hz.

    - #### channelCount

          public final int channelCount

      The number of audio channels

    - #### frameSize

          public final int frameSize

      The size of the frame.

    - #### sampleCount

          public final int sampleCount

      Number of audio samples in the frame.